[Security Audit ] 5 -Failed Defences Against Application Misuse
Status: Closed Start date: 17/04/2024
Priority: High Due date:

Assignee: Vasudev Mamidi % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Security Audit Spent time: 0:00 hour
Deployed In: Category:

Description

5 -Failed Defences Against Application Misuse

CWE : CWE-841

Description :

The misuse and invalid use of valid functionality can identify attacks attempting to

enumerate the web application, identify weaknesses, and exploit vulnerabilities. Tests

should be undertaken to determine whether there are application-layer defensive

mechanisms in place to protect the application.
Affected Path(s) :

https://earogya.satragroup.in/change-password *-Applicable to entire application

Impact :

The lack of active defences allows an attacker to hunt for vulnerabilities without any

recourse. The application’s owner will thus not know their application is under attack.
Recommendation :
Build inactive defences against application misuse. It is also recommended to implement

strong server side controls in such a way that same request cannot be submitted

multiple times.

Evidence/Proof Of Concept :
Step 1: Login to the application and submit change-password record and sumbit the

record.Again submit the same request multiple times. It was observed that the server accepts

it.
History

#1 - 22/04/2024 05:20 AM - Vasudev Mamidi

- Assignee set to Vasu Malladi

#2 - 22/04/2024 05:20 AM - Vasudev Mamidi

- Assignee changed from Vasu Malladi to Vasudev Mamidi

#3 - 24/04/2024 12:06 AM - Pavan kumar Siddamsetti

- Status changed from New to In Progress

#4 - 24/04/2024 12:49 AM - Vasudev Mamidi

- Status changed from In Progress to Resolved

#5 - 03/05/2024 05:24 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#6 - 03/05/2024 05:28 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#7 - 30/09/2024 05:23 PM - Gautam Kumar

- Status changed from Resolved to Closed
